Subject: Re: bug#2825: 23.0.91; initial-buffer-choice useless with emacs daemon

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 13 Apr 2009 19:35:51 -0700 (PDT)

Stefan Monnier <[email-masked]> writes:

  > >> >> I'm not sure what you mean by "the startup screen", but if a user
  > >> >> prefers to start with a (dired "~/") than with *scratch*, I can't think
  > >> >> of a good reason why we should disregard this preference when connecting
  > >> >> via the emacsclient.
  > >> 
  > >> > The startup screen is what `display-startup-screen' displays. 
  > >> > And that's my point too, *scratch* is a fine choice for now.
  > >> 
  > >> What does this have to do with the question at hand.  IIUC th question
  > >> at hand is: why should the server.el code show "*scratch*" when the user
  > >> has set initial-buffer-choice to some file name?
  > 
  > > NEWS says:
  > 
  > > ** New user option `initial-buffer-choice' specifies what to display
  > > after starting Emacs: startup screen, *scratch* buffer, visiting a
  > > file or directory.
  > 
  > > if the code is changed so that emacsclient called with no arguments
  > > displays the startup screen __by default__, then we might have yet
  > > another long discussion if this is the right thing to do.
  > 
  > I do not understand what you mean.

Currently:
emacs -q -f server-start

emacsclient -t
shows the *scratch* buffer.

Will the proposed change will make
emacsclient -t
show the startup screen?

If yes, then IMO it's not a good idea to implement such a change of
behavior at this time.